Subject: Date format in 'git log' should be in local timezone

From: Yuri <[email-masked]>
Date: Fri, 17 Jan 2014 16:11:08 -0800

Currently git log mixes timezones in the date records in the same log, 
so the following dates wold appear in one log:
Date:   Thu Jan 16 17:11:28 2014 -0800
Date:   Thu Jan 16 20:10:04 2014 -0500

Timezone here doesn't help the log reader at all. It doesn't even 
reflect the actual location of the submitter. Instead, it should be 
converted to the local TZ of the client. This will make it easier to 
read and understand the time.

Even further, timezone shouldn't even be stored by the git server. It 
should just store the UTC time, following the approach how time is 
managed in most UNIX-like systems.

Yuri